public static interface LdifEndpointBuilderFactory.LdifBuilders
| Modifier and Type | Method and Description |
|---|---|
default LdifEndpointBuilderFactory.LdifEndpointBuilder |
ldif(String path)
LDIF (camel-ldif)
Perform updates on an LDAP server from an LDIF body content.
|
default LdifEndpointBuilderFactory.LdifEndpointBuilder |
ldif(String componentName,
String path)
LDIF (camel-ldif)
Perform updates on an LDAP server from an LDIF body content.
|
default LdifEndpointBuilderFactory.LdifEndpointBuilder ldif(String path)
ldif:ldapConnectionName
Path parameter: ldapConnectionName (required)
The name of the LdapConnection bean to pull from the registry. Note
that this must be of scope prototype to avoid it being shared among
threads or using a connection that has timed out.path - ldapConnectionNamedefault LdifEndpointBuilderFactory.LdifEndpointBuilder ldif(String componentName, String path)
ldif:ldapConnectionName
Path parameter: ldapConnectionName (required)
The name of the LdapConnection bean to pull from the registry. Note
that this must be of scope prototype to avoid it being shared among
threads or using a connection that has timed out.componentName - to use a custom component name for the endpoint
instead of the default namepath - ldapConnectionNameApache Camel